//Fichero Dibujable.java

import java.awt.Graphics;

/* Este fichero define una INTERFAZ
 *		-Java no permite HERENCIA MLTIPLE, es decir, no permite que na clase derive de dos clases distintas
 *		heredando los mtodos y variables miembro de estas
 *		-La herencia mltiple es fuente de problemas, pero en ocasiones muy til
 *		-Java propone el uso de interfaces como alternativa a la herencia mltiple, por una serie de ventajas adicionales
 * Una INTERFAZ es un conjunto de DECLARACIONES de mtodos (sin cdigo) y slo se especifica el tipo devuelto, el
 * nombre del mtodo y los argumentos que tiene. Es parecida a una clase abstracta cuyos mtodos son definidos todos 
 * abstractos
 * Ventajas:
 *		-Las INTERFACES no estn sometidas a las rgidas normas de las clases (una clase no puede heredar de dos clases 
 *		abstract, pero s pueden implementar varias interfaces)
 *		-El uso de INTERFACES impoene pautas o modos de funcionamiento similares para clases que pueden estar o no, 
 *		relacionadas mediante herencia (todas las clases que implementan una interfaz, se compometen a dar una DEFINICIN
 *		de los mtodos de la interface
 *		-Las interfaces pueden relacionarse entre s mediante mecanismos de herencia, eso s, ms flexibles que en el 
 *		caso de las clases
 */
public interface Dibujable {
	public void setPosicion(double x, double y);
	public void dibujar(Graphics dw);	//es necesario importar la clase "Graphics" del paquete java.awt
}